local L,SN,ST,EJSN,EJST = DXE.L,DXE.SN,DXE.ST,DXE.EJSN,DXE.EJST
local EJName = EJ_GetEncounterInfo(553)
local instance = EJ_GetInstanceInfo(255) or ""
do
	local data = {
		version = 2,
		key = "Temporus",
		zone = L.zone["TimeWalker"],
		category = L.zone["TimeWalker"],
		name =  "["..instance.."] "..EJName,
		triggers = {
			scan = {17880}, 
		},
		onactivate = {
			tracerstart = true,
			combatstop = true,
			tracing = {17880},
			unittracing = {"boss1"},
			defeat = 17880,
		},
		userdata = {

		},		
		messages = {
			mHasten = {
				varname = format(L.alert["%s!"],SN[31458]),
				type = "message",
				text = format(L.alert["%s!"],SN[31458]),
				color1 = "ORANGE",
				sound = "ALERT13",
				desc = 31458,
				icon = ST[31458],
			},
		},
		onstart = {

		},
		alerts = {
			-- Debuff
			HastenDebuff = {
				varname = format(L.alert["%s Debuff"],SN[31458]),
				type = "debuff",
				text = format(L.alert["%s: %s"],L.alert["YOU"],SN[31458]),
				text2 = format(L.alert["#5#: %s"],SN[31458]),
				time = 10,
				color1 = "ORANGE",
				desc = 31458,
				icon = ST[31458],
				tag = "#5#",
				exdps = true,				
			},
		},
		events = {
			-- Hasten
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_APPLIED",
				spellid = {31458},
				execute = {
					{
						"message","mHasten",
					},
					{
						"expect",{"#4#","==","&playerguid&"},
						"alert","HastenDebuff",
					},
					{
						"expect",{"#4#","~=","&playerguid&"},
						"alert",{"HastenDebuff", text = 2},
					},						
				},
			},
			{
				type = "combatevent",
				eventtype = "SPELL_AURA_REMOVED",
				spellid = {31458},
				execute = {
					{ 
						"quash","HastenDebuff",
					},
				},
			},
		},
	}

	DXE:RegisterEncounter(data)
end